/******************************************************************
 * @file  Test_Receiver.s.c
 * @brief:    [file description] 
 * @author: HUOHUO
 * @Date 2024年4月20日
 * COPYRIGHT NOTICE: ITTC
 * Change_date         Owner         Change_content
 * 2024年4月20日        HUOHUO       create file

*****************************************************************/

/**************************include******************************/
#ifdef IDE_TEST
#include <type_define.h>
#include "phy_macro.h"
#include "Test_Func.h"
#include "receiver_symb_func.h"


__VIRT_SM receiver_sync2symb_t msg_SM;
void Test_Receiver_Symb()
{


	Receiver_Symb_Init();
	receiver_sync2symb_t* msg_ptr = &msg_SM;
	STORE_EX_S(&msg_ptr->sfn, 2);
	STORE_EX_S(&msg_ptr->slot, 1);
	STORE_EX_W(&msg_ptr->data_section0_length, 61440);
	STORE_EX_W(&msg_ptr->data_section0_ptr, RECEIVER_IDE_TIME_DATA_ADDR);
	STORE_EX_S(&msg_ptr->proc_id, 2);

	Receiver_Symb_Task(msg_ptr, sizeof(msg_SM));
	
	
}

int main()
{
	__ucps2_iCacheConfig(f_DoubleEnable, f_BypassEnable);
	__ucps2_setJumpMode(f_Mode0);

	int ret = 0;

    Test_Receiver_Symb();
	
}

#endif
